## Class TRepeaterItemEventParameter

Description

TRepeaterItemEventParameter class

TRepeaterItemEventParameter encapsulates the parameter data for TRepeater::onItemCreated event of TRepeater controls. The Item property indicates the repeater item related with the event.

- since: 3.0
- version: $Id: TRepeater.php 2227 2007-09-17 12:56:51Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TRepeater.php (line 791)

    TComponent
       |
       --TEventParameter
          |
          --TRepeaterItemEventParameter

Method Summary
TRepeaterItemEventParameter __construct (TControl $item)
TControl getItem ()
Methods
Constructor __construct (line 803)

Constructor.

- access: public

TRepeaterItemEventParameter __construct (TControl $item)

- TControl $item: repeater item related with the corresponding event

getItem (line 811)

- return: repeater item related with the corresponding event
- access: public

TControl getItem ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:02 -0400 by phpDocumentor 1.3.0RC4